package com.boman.web.core.domain;

import java.util.Date;

import com.boman.domain.BaseEntity;
import com.boman.domain.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 疫苗信息对象 vaccine_info
 * 
 * @author ruoyi
 * @date 2021-09-05
 */
public class VaccineInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 乡镇 */
    @Excel(name = "乡镇")
    private String villageTowns;

    /** 村居 */
    @Excel(name = "村居")
    private String village;

    /** 村民组（社区） */
    @Excel(name = "村民组", readConverterExp = "社=区")
    private String villagerGroup;

    /** 户别 */
    @Excel(name = "户别")
    private String houseType;

    /** 户籍地 */
    @Excel(name = "户籍地")
    private String domicile;

    /** 省 */
    @Excel(name = "省")
    private String province;

    /** 市 */
    @Excel(name = "市")
    private String city;

    /** 区 */
    @Excel(name = "区")
    private String 
area;

    /** 姓名 */
    @Excel(name = "姓名")
    private String userName;

    /** 性别 */
    @Excel(name = "性别")
    private String gender;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String idCard;

    /** 联系号码 */
    @Excel(name = "联系号码")
    private String phoneNum;

    /** 重点行业 */
    @Excel(name = "重点行业")
    private String keyIndustries;

    /** 接种情况（是/否） */
    @Excel(name = "接种情况", readConverterExp = "是=/否")
    private String isVaccination;

    /** 疫苗名称 */
    @Excel(name = "疫苗名称")
    private String vaccineName;

    /** 剂次（1/2/3/加强针） */
    @Excel(name = "剂次", readConverterExp = "1=/2/3/加强针")
    private String jici;

    /** 接种时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "接种时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date vaccinationTime;

    /** 接种地点 */
    @Excel(name = "接种地点")
    private String vaccinationPlace;

    /** 禁忌症 */
    @Excel(name = "禁忌症")
    private String contraindication;

    /** 暂缓 */
    @Excel(name = "暂缓")
    private String suspend;

    /** 死亡 */
    @Excel(name = "死亡")
    private String death;

    /** 失联失踪 */
    @Excel(name = "失联失踪")
    private String lostInMissing;

    /** 应种未种 */
    @Excel(name = "应种未种")
    private String shouldBe;

    /** 其他 */
    @Excel(name = "其他")
    private String other;

    /** 进度 */
    @Excel(name = "进度")
    private String progress;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setVillageTowns(String villageTowns) 
    {
        this.villageTowns = villageTowns;
    }

    public String getVillageTowns() 
    {
        return villageTowns;
    }
    public void setVillage(String village) 
    {
        this.village = village;
    }

    public String getVillage() 
    {
        return village;
    }
    public void setVillagerGroup(String villagerGroup) 
    {
        this.villagerGroup = villagerGroup;
    }

    public String getVillagerGroup() 
    {
        return villagerGroup;
    }
    public void setHouseType(String houseType) 
    {
        this.houseType = houseType;
    }

    public String getHouseType() 
    {
        return houseType;
    }
    public void setDomicile(String domicile) 
    {
        this.domicile = domicile;
    }

    public String getDomicile() 
    {
        return domicile;
    }
    public void setProvince(String province) 
    {
        this.province = province;
    }

    public String getProvince() 
    {
        return province;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setarea(String area) {
        this.area = area;
    }

    public String getarea()  {
        return area;
    }

    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setGender(String gender) 
    {
        this.gender = gender;
    }

    public String getGender() 
    {
        return gender;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setPhoneNum(String phoneNum) 
    {
        this.phoneNum = phoneNum;
    }

    public String getPhoneNum() 
    {
        return phoneNum;
    }
    public void setKeyIndustries(String keyIndustries) 
    {
        this.keyIndustries = keyIndustries;
    }

    public String getKeyIndustries() 
    {
        return keyIndustries;
    }
    public void setIsVaccination(String isVaccination) 
    {
        this.isVaccination = isVaccination;
    }

    public String getIsVaccination() 
    {
        return isVaccination;
    }
    public void setVaccineName(String vaccineName) 
    {
        this.vaccineName = vaccineName;
    }

    public String getVaccineName() 
    {
        return vaccineName;
    }
    public void setJici(String jici) 
    {
        this.jici = jici;
    }

    public String getJici() 
    {
        return jici;
    }
    public void setVaccinationTime(Date vaccinationTime) 
    {
        this.vaccinationTime = vaccinationTime;
    }

    public Date getVaccinationTime() 
    {
        return vaccinationTime;
    }
    public void setVaccinationPlace(String vaccinationPlace) 
    {
        this.vaccinationPlace = vaccinationPlace;
    }

    public String getVaccinationPlace() 
    {
        return vaccinationPlace;
    }
    public void setContraindication(String contraindication) 
    {
        this.contraindication = contraindication;
    }

    public String getContraindication() 
    {
        return contraindication;
    }
    public void setSuspend(String suspend) 
    {
        this.suspend = suspend;
    }

    public String getSuspend() 
    {
        return suspend;
    }
    public void setDeath(String death) 
    {
        this.death = death;
    }

    public String getDeath() 
    {
        return death;
    }
    public void setLostInMissing(String lostInMissing) 
    {
        this.lostInMissing = lostInMissing;
    }

    public String getLostInMissing() 
    {
        return lostInMissing;
    }
    public void setShouldBe(String shouldBe) 
    {
        this.shouldBe = shouldBe;
    }

    public String getShouldBe() 
    {
        return shouldBe;
    }
    public void setOther(String other) 
    {
        this.other = other;
    }

    public String getOther() 
    {
        return other;
    }
    public void setProgress(String progress) 
    {
        this.progress = progress;
    }

    public String getProgress() 
    {
        return progress;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("villageTowns", getVillageTowns())
            .append("village", getVillage())
            .append("villagerGroup", getVillagerGroup())
            .append("houseType", getHouseType())
            .append("domicile", getDomicile())
            .append("province", getProvince())
            .append("city", getCity())
            .append("area", getarea())
            .append("userName", getUserName())
            .append("gender", getGender())
            .append("idCard", getIdCard())
            .append("phoneNum", getPhoneNum())
            .append("keyIndustries", getKeyIndustries())
            .append("isVaccination", getIsVaccination())
            .append("vaccineName", getVaccineName())
            .append("jici", getJici())
            .append("vaccinationTime", getVaccinationTime())
            .append("vaccinationPlace", getVaccinationPlace())
            .append("contraindication", getContraindication())
            .append("suspend", getSuspend())
            .append("death", getDeath())
            .append("lostInMissing", getLostInMissing())
            .append("shouldBe", getShouldBe())
            .append("other", getOther())
            .append("progress", getProgress())
            .append("remark", getRemark())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
