package com.boman.web.core.mapper;

import java.util.List;
import com.boman.web.core.domain.VaccineInfo;

/**
 * 疫苗信息Mapper接口
 * 
 * @author ruoyi
 * @date 2021-09-05
 */
public interface VaccineInfoMapper 
{
    /**
     * 查询疫苗信息
     * 
     * @param id 疫苗信息ID
     * @return 疫苗信息
     */
    public VaccineInfo selectVaccineInfoById(Long id);

    /**
     * 查询疫苗信息列表
     * 
     * @param vaccineInfo 疫苗信息
     * @return 疫苗信息集合
     */
    public List<VaccineInfo> selectVaccineInfoList(VaccineInfo vaccineInfo);

    /**
     * 新增疫苗信息
     * 
     * @param vaccineInfo 疫苗信息
     * @return 结果
     */
    public int insertVaccineInfo(VaccineInfo vaccineInfo);

    /**
     * 修改疫苗信息
     * 
     * @param vaccineInfo 疫苗信息
     * @return 结果
     */
    public int updateVaccineInfo(VaccineInfo vaccineInfo);

    /**
     * 删除疫苗信息
     * 
     * @param id 疫苗信息ID
     * @return 结果
     */
    public int deleteVaccineInfoById(Long id);

    /**
     * 批量删除疫苗信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteVaccineInfoByIds(Long[] ids);
}
